From e4f4a968a68ca4cdda8bfc1bd27eb55cd6aa81b6 Mon Sep 17 00:00:00 2001
From: Jari Aalto <jari.aalto@cante.net>
Date: Sun, 29 Apr 2012 09:21:32 +0300
Subject: [PATCH] format-3.0
Organization: Private
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Jari Aalto <jari.aalto@cante.net>
---
 debian/changelog     |   15 +++++++++++++++
 debian/compat        |    2 +-
 debian/control       |    7 ++++---
 debian/copyright     |    4 +++-
 debian/rules         |   15 +++++++++------
 debian/source/format |    1 +
 6 files changed, 33 insertions(+), 11 deletions(-)
 create mode 100644 debian/source/format

diff --git a/debian/changelog b/debian/changelog
index 78c2d1f..3015681 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,18 @@
+bwm-ng (0.6-3.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Drop deprecated dpatch depends and upgrade to packaging format "3.0 quilt".
+  * Update to Standards-Version to 3.9.3 and debhelper to 9.
+  * Add build-arch and build-indep targets; use dh_prep in rules file.
+  * Patch 10, 20 are new. Fix hyphens in manpage and spelling error in help().
+  * Fix copyright-refers-to-symlink-license (Lintian).
+  * Fix copyright-without-copyright-notice (Lintian).
+  * Fix debian-rules-ignores-make-clean-error (Lintian).
+  * Fix no-homepage-field (Lintian).
+  * Fix hyphen-used-as-minus-sign (Lintian).
+
+ -- Jari Aalto <jari.aalto@cante.net>  Sun, 29 Apr 2012 09:20:19 +0300
+
 bwm-ng (0.6-3) unstable; urgency=low
 
   * Update to current menu policy (Closes: #496095)
diff --git a/debian/compat b/debian/compat
index 7ed6ff8..ec63514 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-5
+9
diff --git a/debian/control b/debian/control
index 3f979c6..976c34f 100644
--- a/debian/control
+++ b/debian/control
@@ -2,12 +2,13 @@ Source: bwm-ng
 Section: net
 Priority: optional
 Maintainer: Damián Viano <des@debian.org>
-Build-Depends: debhelper (>= 5.0.0), libstatgrab-dev, libncurses5-dev, dpatch
-Standards-Version: 3.7.2
+Build-Depends: debhelper (>= 9), libstatgrab-dev, libncurses5-dev
+Standards-Version: 3.9.3
+Homepage: http://freecode.com/projects/bwm-ng
 
 Package: bwm-ng
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: small and simple console-based bandwidth monitor
  Bandwidth Monitor NG is a small and simple console-based live bandwidth
  monitor.
diff --git a/debian/copyright b/debian/copyright
index 87446f9..9c75cdf 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -3,7 +3,9 @@ Tue, 28 Feb 2006 11:10:10 -0300.
 
 It was downloaded from http://www.gropp.org/bwm-ng/bwm-ng-0.5.tar.gz
 
-Copyright Holder: Volker Gropp <vgropp@pefra.de>
+Copyright Holder:
+
+    Copyright (C) 2004-2007 Volker Gropp <vgropp@pefra.de>
 
 License:
 
diff --git a/debian/rules b/debian/rules
index b8ee65c..82c16cf 100755
--- a/debian/rules
+++ b/debian/rules
@@ -6,7 +6,6 @@ DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 
-include /usr/share/dpatch/dpatch.make
 
 CFLAGS = -Wall -g
 
@@ -22,28 +21,32 @@ config.status: configure
 
 
 
+
+build-arch: build
+build-indep: build
+
 build: build-stamp
 
-build-stamp: patch config.status
+build-stamp: config.status
 	dh_testdir
 
 	$(MAKE)
 
 	touch build-stamp
 
-clean: unpatch
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp 
 
-	-$(MAKE) distclean
+	[ ! -f Makefile ] || $(MAKE) distclean
 
 	dh_clean 
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 
 	$(MAKE) install prefix=$(CURDIR)/debian/bwm-ng/usr
@@ -71,4 +74,4 @@ binary-arch: build install
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install patch unpatch
+.PHONY: build clean binary-indep binary-arch binary install
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
-- 
1.7.10

